lkml.org 
[lkml]   [2018]   [Jun]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] x86/pti: don't report XenPV as vulnerable
On Fri, 15 Jun 2018, Juergen Gross wrote:

> >> wrong for 64-bit, too, in case the mitigation is disabled at hypervisor
> >> level.
> >
> > If that is indeed possible (is it?), then the check we have in
> > pti_check_boottime_disable() is wrong as well.
>
> No, it isn't. PTI for 32-bit kernels isn't paravirtualized, so it has to
> be disabled.

I was talking about this "mitigation disabled at Xen hypervisor level for
64-bit" situation though.

--
Jiri Kosina
SUSE Labs

\
 
 \ /
  Last update: 2018-06-15 08:17    [W:0.030 / U:24.748 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site